Subject: Re: [PATCH iproute2 master] bpf: unbreak libelf linkage for bpf obj loader

From: Daniel Borkmann <[email-masked]>
Date: Thu, 10 Aug 2017 10:44:13 +0200

On 08/10/2017 02:35 AM, Stephen Hemminger wrote:
> On Thu, 10 Aug 2017 00:15:41 +0200
> Daniel Borkmann <[email-masked]> wrote:
>
>> Commit 69fed534a533 ("change how Config is used in Makefile's") moved
>> HAVE_MNL specific CFLAGS/LDLIBS for building with libmnl out of the
>> top level Makefile into sub-Makefiles. However, it also removed the
>> HAVE_ELF specific CFLAGS/LDLIBS entirely, which breaks the BPF object
>> loader for tc and ip with "No ELF library support compiled in." despite
>> having libelf detected in configure script. Fix it similarly as in
>> 69fed534a533 for HAVE_ELF.
>>
>> Fixes: 69fed534a533 ("change how Config is used in Makefile's")
>> Reported-by: Jeffrey Panneman <[email-masked]>
>> Signed-off-by: Daniel Borkmann <[email-masked]>
>
> Thanks, but I am thinking maybe a better solution long term would be to
> move all the package specific stuff into the generated Config file.
>
> That way only the generation shell script would have to change.
>
> Also, all the flags should probably be using pkg-config to get the values.

Sure, sounds all good, for the time being, I would like to have
that breakage undone though, so users can work with loading BPF
programs again on -master.

Thanks,
Daniel